# ARST打卡第275周

<!--more-->

lc1035_不相交的线 用照片记录瞬间会夺走你那一刻的体验吗？【TED演讲】 TiKV 源码解析系列文章（三）Prometheus（上） 试玩hiddify

## Algorithm
lc1035_不相交的线

想到了公共子序列，但是却有点忘了公共子序列的dp怎么写了，10分钟内没想出来dp转移，复习一下

```cpp
class Solution {
public:
    int maxUncrossedLines(vector<int>& nums1, vector<int>& nums2) {
        int m = nums1.size(), n = nums2.size();
        vector<vector<int>> dp(m + 1, vector<int>(n + 1));
        for (int i = 1; i <= m; i++) {
            int num1 = nums1[i - 1];
            for (int j = 1; j <= n; j++) {
                int num2 = nums2[j - 1];
                if (num1 == num2) {
                    dp[i][j] = dp[i - 1][j - 1] + 1;
                } else {
                    dp[i][j] = max(dp[i - 1][j], dp[i][j - 1]);
                }
            }
        }
        return dp[m][n];
    }
};

// 链接：https://leetcode.cn/problems/uncrossed-lines/solutions/787955/bu-xiang-jiao-de-xian-by-leetcode-soluti-6tqz/
```

## Review
用照片记录瞬间会夺走你那一刻的体验吗？【TED演讲】

<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?isOutside=true&aid=1006264629&bvid=BV1fx4y1x7rw&cid=1627267621&p=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

如果你拍照是为了记录美好的时刻，那么拍照可以增强你当下的体验；
但是如果你事为了分享这个照片，那么拍照可能减弱你当下的体验。

因此在你准备拍照的时候，可以好好先享受一小会当下这一刻然后再考虑拍照。
这样才能不留遗憾得享受当下的美景。

## Tips
[TiKV 源码解析系列文章（三）Prometheus（上）](https://cn.pingcap.com/blog/tikv-source-code-reading-3/)

其实也是声明变量（定义指标），赋值变量（记录指标值），持久化变量（Push/Pull）。

其中的一些统计思路是用'表模式'进行了(代码大全2中讲到的)。值得学习借鉴。

## Share
试玩[hiddify](https://github.com/hiddify/hiddify-next)

体验了一下，发现和 clashxmeta 各有优缺点. 可以换着用.

优点:
- 自带 warp+ 节点自动注册分组，可惜没网; 还自带 warp+ 增强，可惜会导致无网。
- 一次性导入的配置会自动放在一个分组里面，挺舒服。
- 每个分组使用的时候默认auto自动替换，显示面板能够快速显示使用的ip和节点。爽啊。
- 没有 clashxmeta 自动选ip故障 和 api Connect err 故障

缺点:
- 任务栏菜单还是比 clashxmeta 差很多，只能开面板，菜单栏太少选项
- PAC还在实验阶段
- 日志无法清除
- 开启了一些实验性的功能之后，就会导致 mbp 风扇转起来...
